# HTTP 端口
port: 7890

# SOCKS5 端口
socks-port: 7891

# Linux 及 macOS 的 redir 端口
# redir-port: 7892

allow-lan: false

# 仅适用于设置 allow-lan 为 true 时
# "*": 绑定所有 IP 地址
# 192.168.122.11: 绑定单个 IPv4 地址
# "[aaaa::a8aa:ff:fe09:57d8]": 绑定单个 IPv6 地址
# bind-address: "*"

# Rule / Global / Direct (默认为 Rule 模式)
mode: Rule

# 设置输出日志的等级 (默认为 info)
# info / warning / error / debug / silent
log-level: info

# RESTful API for clash
external-controller: 127.0.0.1:9090

# you can put the static web resource (such as clash-dashboard) to a directory, and clash would serve in `${API}/ui`
# input is a relative path to the configuration directory or an absolute path
# external-ui: folder

# Secret for RESTful API (Optional)
# secret: ""

# 实验性功能
experimental:
  ignore-resolve-fail: true # 忽略 DNS 解析失败，默认值为true
  # interface-name: en0 # 出站接口名称

# 本地 SOCKS5/HTTP(S) 服务器认证
# authentication:
#  - "user1:pass1"
#  - "user2:pass2"

# # 实验性 hosts, 支持通配符（如 *.clash.dev 甚至 *.foo.*.examplex.com ）
# # 静态域的优先级高于通配符域（foo.example.com > *.example.com）
hosts:
  'mtalk.google.com': 108.177.125.188
#   '*.clash.dev': 127.0.0.1
#   'alpha.clash.dev': '::1'

# dns:
  # enable: true # set true to enable dns (default is false)
  # ipv6: false # default is false
  # listen: 0.0.0.0:53
  # # default-nameserver: # resolve dns nameserver host, should fill pure IP
  # #   - 114.114.114.114
  # #   - 8.8.8.8
  # enhanced-mode: redir-host # or fake-ip
  # # fake-ip-range: 198.18.0.1/16 # if you don't know what it is, don't change it
  # fake-ip-filter: # fake ip white domain list
  #   - '*.lan'
  #   - localhost.ptlogin2.qq.com
  # nameserver:
  #   - 114.114.114.114
  #   - tls://dns.rubyfish.cn:853 # dns over tls
  #   - https://1.1.1.1/dns-query # dns over https
  # fallback: # concurrent request with nameserver, fallback used when GEOIP country isn't CN
  #   - tcp://1.1.1.1
  # fallback-filter:
  #   geoip: true # default
  #   ipcidr: # ips in these subnets will be considered polluted
  #     - 240.0.0.0/4

proxies:
# 支持的协议及加密算法示例请查阅 Clash 项目 README 以使用最新格式：https://github.com/Dreamacro/clash/blob/master/README.md

# Shadowsocks 支持的加密方式:
#   aes-128-gcm aes-192-gcm aes-256-gcm
#   aes-128-cfb aes-192-cfb aes-256-cfb
#   aes-128-ctr aes-192-ctr aes-256-ctr
#   rc4-md5 chacha20-ietf xchacha20
#   chacha20-ietf-poly1305 xchacha20-ietf-poly1305



# VMess
- name: "v2ray"
  type: vmess
  server: robertelzp.synology.me
  port: 5046
  uuid: 8243251f-d174-4571-b221-a43419977dec
  alterId: 0
  cipher: auto
  # udp: true
  # tls: true
  # tls-hostname: 填写伪装域名
  # skip-cert-verify: true
  network: tcp
  # ws-path: /path
  # ws-headers: #这一行后面不要写东西
  #   Host: v2ray.com #填写伪装域名



# 代理组策略
# 策略组示例请查阅 Clash 项目 README 以使用最新格式：https://github.com/Dreamacro/clash/blob/master/README.md
proxy-groups:

# url-test 通过指定的 URL 测试并选择延迟最低的节点
- name: "自动选择快速节点"
  type: url-test
  proxies:
    - "v2ray"
  url: 'http://www.baidu.com'
  interval: 300

# fallback 通过指定的 URL 测试并选择可用的节点，当 1 故障不可用时自动切换到 2 以此类推
# - name: "Fallback"
#   type: fallback
#   proxies:
#     - "1"
#     - "2"
#     - "3"
#     - "4"
#   url: 'http://www.baidu.com'
#   interval: 300

# load-balance: 负载均衡
# - name: "LoadBalance"
#   type: load-balance
#   proxies:
#     - "1"
#     - "2"
#     - "3"
#     - "4"
#   url: 'http://www.baidu.com'
#   interval: 300

# 代理节点选择
- name: "PROXY"
  type: select
  proxies:
    - "自动选择快速节点"
    - "v2ray"

# 白名单模式 PROXY，黑名单模式 DIRECT
- name: "Final"
  type: select
  proxies:
    - "v2ray"
    - "PROXY"

# Apple 服务代理
- name: "Apple"
  type: select
  proxies:
    - "v2ray"
    - "PROXY"

# 国际流媒体服务
- name: "GlobalMedia"
  type: select
  proxies:
    - "PROXY"
    - "v2ray"
# 大陆流媒体面向港澳台限定服务
- name: "HKMTMedia"
  type: select
  proxies:
    - "PROXY"
    - "v2ray"

# 规则
rules:
# Unbreak
# > Google
- DOMAIN-SUFFIX,googletraveladservices.com,DIRECT
- DOMAIN,dl.google.com,DIRECT
- DOMAIN,mtalk.google.com,DIRECT

# Internet Service Providers Hijacking 运营商劫持
- DOMAIN-SUFFIX,17gouwuba.com,REJECT
- DOMAIN-SUFFIX,186078.com,REJECT
- DOMAIN-SUFFIX,189zj.cn,REJECT
- DOMAIN-SUFFIX,285680.com,REJECT
- DOMAIN-SUFFIX,3721zh.com,REJECT
- DOMAIN-SUFFIX,4336wang.cn,REJECT
- DOMAIN-SUFFIX,51chumoping.com,REJECT
- DOMAIN-SUFFIX,51mld.cn,REJECT
- DOMAIN-SUFFIX,51mypc.cn,REJECT
- DOMAIN-SUFFIX,58mingri.cn,REJECT
- DOMAIN-SUFFIX,58mingtian.cn,REJECT
- DOMAIN-SUFFIX,5vl58stm.com,REJECT
- DOMAIN-SUFFIX,6d63d3.com,REJECT
- DOMAIN-SUFFIX,7gg.cc,REJECT
- DOMAIN-SUFFIX,91veg.com,REJECT
- DOMAIN-SUFFIX,9s6q.cn,REJECT
- DOMAIN-SUFFIX,adsame.com,REJECT
- DOMAIN-SUFFIX,aiclk.com,REJECT
- DOMAIN-SUFFIX,akuai.top,REJECT
- DOMAIN-SUFFIX,atplay.cn,REJECT
- DOMAIN-SUFFIX,baiwanchuangyi.com,REJECT
- DOMAIN-SUFFIX,beerto.cn,REJECT
- DOMAIN-SUFFIX,beilamusi.com,REJECT
- DOMAIN-SUFFIX,benshiw.net,REJECT
- DOMAIN-SUFFIX,bianxianmao.com,REJECT
- DOMAIN-SUFFIX,bryonypie.com,REJECT
- DOMAIN-SUFFIX,cishantao.com,REJECT
- DOMAIN-SUFFIX,cszlks.com,REJECT
- DOMAIN-SUFFIX,cudaojia.com,REJECT
- DOMAIN-SUFFIX,dafapromo.com,REJECT
- DOMAIN-SUFFIX,daitdai.com,REJECT
- DOMAIN-SUFFIX,dsaeerf.com,REJECT
- DOMAIN-SUFFIX,dugesheying.com,REJECT
- DOMAIN-SUFFIX,dv8c1t.cn,REJECT
- DOMAIN-SUFFIX,echatu.com,REJECT
- DOMAIN-SUFFIX,erdoscs.com,REJECT
- DOMAIN-SUFFIX,fan-yong.com,REJECT
- DOMAIN-SUFFIX,feih.com.cn,REJECT
- DOMAIN-SUFFIX,fjlqqc.com,REJECT
- DOMAIN-SUFFIX,fkku194.com,REJECT
- DOMAIN-SUFFIX,freedrive.cn,REJECT
- DOMAIN-SUFFIX,gclick.cn,REJECT
- DOMAIN-SUFFIX,goufanli100.com,REJECT
- DOMAIN-SUFFIX,goupaoerdai.com,REJECT
- DOMAIN-SUFFIX,gouwubang.com,REJECT
- DOMAIN-SUFFIX,gzxnlk.com,REJECT
- DOMAIN-SUFFIX,haoshengtoys.com,REJECT
- DOMAIN-SUFFIX,hyunke.com,REJECT
- DOMAIN-SUFFIX,ichaosheng.com,REJECT
- DOMAIN-SUFFIX,ishop789.com,REJECT
- DOMAIN-SUFFIX,jdkic.com,REJECT
- DOMAIN-SUFFIX,jiubuhua.com,REJECT
- DOMAIN-SUFFIX,jsncke.com,REJECT
- DOMAIN-SUFFIX,junkucm.com,REJECT
- DOMAIN-SUFFIX,jwg365.cn,REJECT
- DOMAIN-SUFFIX,kawo77.com,REJECT
- DOMAIN-SUFFIX,kualianyingxiao.cn,REJECT
- DOMAIN-SUFFIX,kumihua.com,REJECT
- DOMAIN-SUFFIX,ltheanine.cn,REJECT
- DOMAIN-SUFFIX,maipinshangmao.com,REJECT
- DOMAIN-SUFFIX,minisplat.cn,REJECT
- DOMAIN-SUFFIX,mkitgfs.com,REJECT
- DOMAIN-SUFFIX,mlnbike.com,REJECT
- DOMAIN-SUFFIX,mobjump.com,REJECT
- DOMAIN-SUFFIX,nbkbgd.cn,REJECT
- DOMAIN-SUFFIX,newapi.com,REJECT
- DOMAIN-SUFFIX,pinzhitmall.com,REJECT
- DOMAIN-SUFFIX,poppyta.com,REJECT
- DOMAIN-SUFFIX,qianchuanghr.com,REJECT
- DOMAIN-SUFFIX,qichexin.com,REJECT
- DOMAIN-SUFFIX,qinchugudao.com,REJECT
- DOMAIN-SUFFIX,quanliyouxi.cn,REJECT
- DOMAIN-SUFFIX,qutaobi.com,REJECT
- DOMAIN-SUFFIX,ry51w.cn,REJECT
- DOMAIN-SUFFIX,sg536.cn,REJECT
- DOMAIN-SUFFIX,sifubo.cn,REJECT
- DOMAIN-SUFFIX,sifuce.cn,REJECT
- DOMAIN-SUFFIX,sifuda.cn,REJECT
- DOMAIN-SUFFIX,sifufu.cn,REJECT
- DOMAIN-SUFFIX,sifuge.cn,REJECT
- DOMAIN-SUFFIX,sifugu.cn,REJECT
- DOMAIN-SUFFIX,sifuhe.cn,REJECT
- DOMAIN-SUFFIX,sifuhu.cn,REJECT
- DOMAIN-SUFFIX,sifuji.cn,REJECT
- DOMAIN-SUFFIX,sifuka.cn,REJECT
- DOMAIN-SUFFIX,smgru.net,REJECT
- DOMAIN-SUFFIX,taoggou.com,REJECT
- DOMAIN-SUFFIX,tcxshop.com,REJECT
- DOMAIN-SUFFIX,tjqonline.cn,REJECT
- DOMAIN-SUFFIX,topitme.com,REJECT
- DOMAIN-SUFFIX,tt3sm4.cn,REJECT
- DOMAIN-SUFFIX,tuia.cn,REJECT
- DOMAIN-SUFFIX,tuipenguin.com,REJECT
- DOMAIN-SUFFIX,tuitiger.com,REJECT
- DOMAIN-SUFFIX,websd8.com,REJECT
- DOMAIN-SUFFIX,wsgblw.com,REJECT
- DOMAIN-SUFFIX,wx16999.com,REJECT
- DOMAIN-SUFFIX,xchmai.com,REJECT
- DOMAIN-SUFFIX,xiaohuau.xyz,REJECT
- DOMAIN-SUFFIX,ygyzx.cn,REJECT
- DOMAIN-SUFFIX,yinmong.com,REJECT
- DOMAIN-SUFFIX,yitaopt.com,REJECT
- DOMAIN-SUFFIX,yjqiqi.com,REJECT
- DOMAIN-SUFFIX,yukhj.com,REJECT
- DOMAIN-SUFFIX,zhaozecheng.cn,REJECT
- DOMAIN-SUFFIX,zhenxinet.com,REJECT
- DOMAIN-SUFFIX,zlne800.com,REJECT
- DOMAIN-SUFFIX,zunmi.cn,REJECT
- DOMAIN-SUFFIX,zzd6.com,REJECT


# Malware 恶意网站
# > 快压
# https://zhuanlan.zhihu.com/p/39534279
- DOMAIN-SUFFIX,kuaizip.com,REJECT
# > MacKeeper
# https://www.lizhi.io/blog/40002904
- DOMAIN-SUFFIX,mackeeper.com,REJECT
- DOMAIN-SUFFIX,zryydi.com,REJECT
# > Adobe Flash China Special Edition
# https://www.zhihu.com/question/281163698/answer/441388130
- DOMAIN-SUFFIX,flash.cn,REJECT
- DOMAIN,geo2.adobe.com,REJECT
# > C&J Marketing 思杰马克丁软件
# https://www.zhihu.com/question/46746200
- DOMAIN-SUFFIX,4009997658.com,REJECT
- DOMAIN-SUFFIX,abbyychina.com,REJECT
- DOMAIN-SUFFIX,bartender.cc,REJECT
- DOMAIN-SUFFIX,betterzip.net,REJECT
- DOMAIN-SUFFIX,betterzipcn.com,REJECT
- DOMAIN-SUFFIX,beyondcompare.cc,REJECT
- DOMAIN-SUFFIX,bingdianhuanyuan.cn,REJECT
- DOMAIN-SUFFIX,chemdraw.com.cn,REJECT
- DOMAIN-SUFFIX,cjmakeding.com,REJECT
- DOMAIN-SUFFIX,cjmkt.com,REJECT
- DOMAIN-SUFFIX,codesoftchina.com,REJECT
- DOMAIN-SUFFIX,coreldrawchina.com,REJECT
- DOMAIN-SUFFIX,crossoverchina.com,REJECT
- DOMAIN-SUFFIX,dongmansoft.com,REJECT
- DOMAIN-SUFFIX,earmasterchina.cn,REJECT
- DOMAIN-SUFFIX,easyrecoverychina.com,REJECT
- DOMAIN-SUFFIX,ediuschina.com,REJECT
- DOMAIN-SUFFIX,flstudiochina.com,REJECT
- DOMAIN-SUFFIX,formysql.com,REJECT
- DOMAIN-SUFFIX,guitarpro.cc,REJECT
- DOMAIN-SUFFIX,huishenghuiying.com.cn,REJECT
- DOMAIN-SUFFIX,hypersnap.net,REJECT
- DOMAIN-SUFFIX,iconworkshop.cn,REJECT
- DOMAIN-SUFFIX,imindmap.cc,REJECT
- DOMAIN-SUFFIX,jihehuaban.com.cn,REJECT
- DOMAIN-SUFFIX,keyshot.cc,REJECT
- DOMAIN-SUFFIX,kingdeecn.cn,REJECT
- DOMAIN-SUFFIX,logoshejishi.com,REJECT
- DOMAIN-SUFFIX,luping.net.cn,REJECT
- DOMAIN-SUFFIX,mairuan.cn,REJECT
- DOMAIN-SUFFIX,mairuan.com,REJECT
- DOMAIN-SUFFIX,mairuan.com.cn,REJECT
- DOMAIN-SUFFIX,mairuan.net,REJECT
- DOMAIN-SUFFIX,mairuanwang.com,REJECT
- DOMAIN-SUFFIX,makeding.com,REJECT
- DOMAIN-SUFFIX,mathtype.cn,REJECT
- DOMAIN-SUFFIX,mindmanager.cc,REJECT
- DOMAIN-SUFFIX,mindmanager.cn,REJECT
- DOMAIN-SUFFIX,mindmapper.cc,REJECT
- DOMAIN-SUFFIX,mycleanmymac.com,REJECT
- DOMAIN-SUFFIX,nicelabel.cc,REJECT
- DOMAIN-SUFFIX,ntfsformac.cc,REJECT
- DOMAIN-SUFFIX,ntfsformac.cn,REJECT
- DOMAIN-SUFFIX,overturechina.com,REJECT
- DOMAIN-SUFFIX,passwordrecovery.cn,REJECT
- DOMAIN-SUFFIX,pdfexpert.cc,REJECT
- DOMAIN-SUFFIX,photozoomchina.com,REJECT
- DOMAIN-SUFFIX,shankejingling.com,REJECT
- DOMAIN-SUFFIX,ultraiso.net,REJECT
- DOMAIN-SUFFIX,vegaschina.cn,REJECT
- DOMAIN-SUFFIX,xmindchina.net,REJECT
- DOMAIN-SUFFIX,xshellcn.com,REJECT
- DOMAIN-SUFFIX,yihuifu.cn,REJECT
- DOMAIN-SUFFIX,yuanchengxiezuo.com,REJECT
- DOMAIN-SUFFIX,zbrushcn.com,REJECT
- DOMAIN-SUFFIX,zhzzx.com,REJECT



# (HKMTMedia)
# > 愛奇藝台灣站
- DOMAIN,cache.video.iqiyi.com,HKMTMedia
# > bilibili
- DOMAIN-SUFFIX,bilibili.com,HKMTMedia
- DOMAIN,upos-hz-mirrorakam.akamaized.net,HKMTMedia

# (DNS Cache Pollution Protection)


# (The Most Popular Sites)
# > Apple
# >> TestFlight
- DOMAIN,testflight.apple.com,PROXY
# >> Apple URL Shortener
- DOMAIN-SUFFIX,appsto.re,PROXY
# >> iBooks Store download
- DOMAIN,books.itunes.apple.com,PROXY
# >> iTunes Store Moveis Trailers
- DOMAIN,hls.itunes.apple.com,PROXY
# >> App Store Preview
- DOMAIN,apps.apple.com,PROXY
- DOMAIN,itunes.apple.com,PROXY
# >> Spotlight
- DOMAIN,api-glb-sea.smoot.apple.com,PROXY
# >> Dictionary
- DOMAIN,lookup-api.apple.com,PROXY


# China Area Network
# > 360
- DOMAIN-SUFFIX,qhres.com,PROXY
- DOMAIN-SUFFIX,qhimg.com,PROXY
# > Akamai
- DOMAIN-SUFFIX,akadns.net,PROXY
# - DOMAIN-SUFFIX,akamai.net,PROXY
# - DOMAIN-SUFFIX,akamaiedge.net,PROXY
# - DOMAIN-SUFFIX,akamaihd.net,PROXY
# - DOMAIN-SUFFIX,akamaistream.net,PROXY
# - DOMAIN-SUFFIX,akamaized.net,PROXY
# > Alibaba
# USER-AGENT,%E4%BC%98%E9%85%B7*,PROXY
- DOMAIN-SUFFIX,alibaba.com,PROXY
- DOMAIN-SUFFIX,alicdn.com,PROXY
- DOMAIN-SUFFIX,alikunlun.com,PROXY
- DOMAIN-SUFFIX,alipay.com,PROXY
- DOMAIN-SUFFIX,amap.com,PROXY
- DOMAIN-SUFFIX,autonavi.com,PROXY
- DOMAIN-SUFFIX,dingtalk.com,PROXY
- DOMAIN-SUFFIX,mxhichina.com,PROXY
- DOMAIN-SUFFIX,soku.com,PROXY
- DOMAIN-SUFFIX,taobao.com,PROXY
- DOMAIN-SUFFIX,tmall.com,PROXY
- DOMAIN-SUFFIX,tmall.hk,PROXY
- DOMAIN-SUFFIX,ykimg.com,PROXY
- DOMAIN-SUFFIX,youku.com,PROXY
- DOMAIN-SUFFIX,xiami.com,PROXY
- DOMAIN-SUFFIX,xiami.net,PROXY
# > Baidu
- DOMAIN-SUFFIX,baidu.com,PROXY
- DOMAIN-SUFFIX,baidubcr.com,PROXY
- DOMAIN-SUFFIX,bdstatic.com,PROXY
- DOMAIN-SUFFIX,yunjiasu-cdn.net,PROXY
# > bilibili
- DOMAIN-SUFFIX,acgvideo.com,PROXY
- DOMAIN-SUFFIX,biliapi.com,PROXY
- DOMAIN-SUFFIX,biliapi.net,PROXY
- DOMAIN-SUFFIX,bilibili.com,PROXY
- DOMAIN-SUFFIX,bilibili.tv,PROXY
- DOMAIN-SUFFIX,hdslb.com,PROXY
# > Blizzard
- DOMAIN-SUFFIX,blizzard.com,PROXY
- DOMAIN-SUFFIX,battle.net,PROXY
- DOMAIN,blzddist1-a.akamaihd.net,PROXY
# > ByteDance
- DOMAIN-SUFFIX,feiliao.com,PROXY
- DOMAIN-SUFFIX,pstatp.com,PROXY
- DOMAIN-SUFFIX,snssdk.com,PROXY
- DOMAIN-SUFFIX,iesdouyin.com,PROXY
- DOMAIN-SUFFIX,toutiao.com,PROXY
# > CCTV
- DOMAIN-SUFFIX,cctv.com,PROXY
- DOMAIN-SUFFIX,cctvpic.com,PROXY
- DOMAIN-SUFFIX,livechina.com,PROXY
# > DiDi
- DOMAIN-SUFFIX,didialift.com,PROXY
- DOMAIN-SUFFIX,didiglobal.com,PROXY
- DOMAIN-SUFFIX,udache.com,PROXY
# > 蛋蛋赞
- DOMAIN-SUFFIX,343480.com,PROXY
- DOMAIN-SUFFIX,baduziyuan.com,PROXY
- DOMAIN-SUFFIX,com-hs-hkdy.com,PROXY
- DOMAIN-SUFFIX,czybjz.com,PROXY
- DOMAIN-SUFFIX,dandanzan.com,PROXY
- DOMAIN-SUFFIX,fjhps.com,PROXY
- DOMAIN-SUFFIX,kuyunbo.club,PROXY
# > ChinaNet
- DOMAIN-SUFFIX,21cn.com,PROXY
# > HunanTV
- DOMAIN-SUFFIX,hitv.com,PROXY
- DOMAIN-SUFFIX,mgtv.com,PROXY
# > iQiyi
- DOMAIN-SUFFIX,iqiyi.com,PROXY
- DOMAIN-SUFFIX,iqiyipic.com,PROXY
- DOMAIN-SUFFIX,71.am.com,PROXY
# > JD
- DOMAIN-SUFFIX,jd.com,PROXY
- DOMAIN-SUFFIX,jd.hk,PROXY
- DOMAIN-SUFFIX,jdpay.com,PROXY
- DOMAIN-SUFFIX,360buyimg.com,PROXY
# > PDD
- DOMAIN-SUFFIX,pddpic.com,PROXY
- DOMAIN-SUFFIX,pinduoduo.com,PROXY
- DOMAIN-SUFFIX,pinduoduo.net,PROXY
- DOMAIN-SUFFIX,xunmeng.com,PROXY
- DOMAIN-SUFFIX,yangkeduo.com,PROXY
# > suning
- DOMAIN-SUFFIX,suning.com,PROXY
- DOMAIN-SUFFIX,suning.cn,PROXY
# > Kingsoft
- DOMAIN-SUFFIX,iciba.com,PROXY
- DOMAIN-SUFFIX,ksosoft.com,PROXY
# > Meitu
- DOMAIN-SUFFIX,meitu.com,PROXY
- DOMAIN-SUFFIX,meitudata.com,PROXY
- DOMAIN-SUFFIX,meitustat.com,PROXY
- DOMAIN-SUFFIX,meipai.com,PROXY
# > MI
- DOMAIN-SUFFIX,duokan.com,PROXY
- DOMAIN-SUFFIX,mi-img.com,PROXY
- DOMAIN-SUFFIX,miui.com,PROXY
- DOMAIN-SUFFIX,miwifi.com,PROXY
- DOMAIN-SUFFIX,xiaomi.com,PROXY
- DOMAIN-SUFFIX,mi.com,PROXY
- DOMAIN-SUFFIX,mipay.com,PROXY
- DOMAIN-SUFFIX,xiaomiyoupin.com,PROXY
- DOMAIN-SUFFIX,xiaomi.net,PROXY
# > Microsoft
- DOMAIN-SUFFIX,microsoft.com,PROXY
- DOMAIN-SUFFIX,msecnd.net,PROXY
- DOMAIN-SUFFIX,office365.com,PROXY
- DOMAIN-SUFFIX,outlook.com,PROXY
- DOMAIN-SUFFIX,s-microsoft.com,PROXY
- DOMAIN-SUFFIX,visualstudio.com,PROXY
- DOMAIN-SUFFIX,windows.com,PROXY
- DOMAIN-SUFFIX,windowsupdate.com,PROXY
- DOMAIN,officecdn-microsoft-com.akamaized.net,PROXY
# > NetEase
# USER-AGENT,NeteaseMusic*,PROXY
# USER-AGENT,%E7%BD%91%E6%98%93%E4%BA%91%E9%9F%B3%E4%B9%90*,PROXY
- DOMAIN-SUFFIX,163.com,PROXY
- DOMAIN-SUFFIX,126.net,PROXY
- DOMAIN-SUFFIX,127.net,PROXY
- DOMAIN-SUFFIX,163yun.com,PROXY
- DOMAIN-SUFFIX,lofter.com,PROXY
- DOMAIN-SUFFIX,netease.com,PROXY
- DOMAIN-SUFFIX,ydstatic.com,PROXY
# > Sina
- DOMAIN-SUFFIX,sina.com,PROXY
- DOMAIN-SUFFIX,weibo.com,PROXY
- DOMAIN-SUFFIX,weibocdn.com,PROXY
# > Sohu
- DOMAIN-SUFFIX,sohu.com,PROXY
- DOMAIN-SUFFIX,sohucs.com,PROXY
- DOMAIN-SUFFIX,sohu-inc.com,PROXY
- DOMAIN-SUFFIX,v-56.com,PROXY
# > Sogo
- DOMAIN-SUFFIX,sogo.com,PROXY
- DOMAIN-SUFFIX,sogou.com,PROXY
- DOMAIN-SUFFIX,sogoucdn.com,PROXY
# > Steam
- DOMAIN-SUFFIX,steampowered.com,PROXY
- DOMAIN-SUFFIX,steam-chat.com,PROXY
- DOMAIN-SUFFIX,steamgames.com,PROXY
- DOMAIN-SUFFIX,steamusercontent.com,PROXY
- DOMAIN-SUFFIX,steamcontent.com,PROXY
- DOMAIN-SUFFIX,steamstatic.com,PROXY
- DOMAIN-SUFFIX,steamcdn-a.akamaihd.net,PROXY
- DOMAIN-SUFFIX,steamstat.us,PROXY
# > Tencent
# USER-AGENT,MicroMessenger%20Client,PROXY
# USER-AGENT,WeChat*,PROXY
# USER-AGENT,%E4%BC%81%E4%B8%9A%E5%BE%AE%E4%BF%A1*,PROXY
- DOMAIN-SUFFIX,gtimg.com,PROXY
- DOMAIN-SUFFIX,idqqimg.com,PROXY
- DOMAIN-SUFFIX,igamecj.com,PROXY
- DOMAIN-SUFFIX,myapp.com,PROXY
- DOMAIN-SUFFIX,myqcloud.com,PROXY
- DOMAIN-SUFFIX,qq.com,PROXY
- DOMAIN-SUFFIX,servicewechat.com,PROXY
- DOMAIN-SUFFIX,tencent.com,PROXY
- DOMAIN-SUFFIX,tencent-cloud.net,PROXY
- DOMAIN-SUFFIX,tenpay.com,PROXY
- DOMAIN,file-igamecj.akamaized.net,PROXY
- IP-CIDR,182.254.116.0/24,PROXY
- IP-CIDR,203.205.252.0/23,PROXY
- IP-CIDR,203.205.254.0/23,PROXY
- IP-CIDR,1.1.1.3/16,PROXY
# > YYeTs
# USER-AGENT,YYeTs*,PROXY
- DOMAIN-SUFFIX,jstucdn.com,PROXY
- DOMAIN-SUFFIX,zimuzu.io,PROXY
- DOMAIN-SUFFIX,zimuzu.tv,PROXY
- DOMAIN-SUFFIX,zmz2019.com,PROXY
- DOMAIN-SUFFIX,zmzapi.com,PROXY
- DOMAIN-SUFFIX,zmzapi.net,PROXY
- DOMAIN-SUFFIX,zmzfile.com,PROXY
# > Content Delivery Network
- DOMAIN-SUFFIX,ccgslb.com,PROXY
- DOMAIN-SUFFIX,ccgslb.net,PROXY
- DOMAIN-SUFFIX,chinanetcenter.com,PROXY
- DOMAIN-SUFFIX,meixincdn.com,PROXY
- DOMAIN-SUFFIX,ourdvs.com,PROXY
- DOMAIN-SUFFIX,staticdn.net,PROXY
- DOMAIN-SUFFIX,wangsu.com,PROXY
# > IP Query
- DOMAIN-SUFFIX,ipip.net,PROXY
- DOMAIN-SUFFIX,ip.la,PROXY
- DOMAIN-SUFFIX,ip-cdn.com,PROXY
- DOMAIN-SUFFIX,ipv6-test.com,PROXY
- DOMAIN-SUFFIX,test-ipv6.com,PROXY
- DOMAIN-SUFFIX,whatismyip.com,PROXY
# > Speed Test
# - DOMAIN-SUFFIX,speedtest.net,PROXY
- DOMAIN-SUFFIX,netspeedtestmaster.com,PROXY
- DOMAIN,speedtest.macpaw.com,PROXY
# > Private Tracker
- DOMAIN-SUFFIX,awesome-hd.me,PROXY
- DOMAIN-SUFFIX,broadcasthe.net,PROXY
- DOMAIN-SUFFIX,chdbits.co,PROXY
- DOMAIN-SUFFIX,classix-unlimited.co.uk,PROXY
- DOMAIN-SUFFIX,empornium.me,PROXY
- DOMAIN-SUFFIX,gazellegames.net,PROXY
- DOMAIN-SUFFIX,hdchina.org,PROXY
- DOMAIN-SUFFIX,hdsky.me,PROXY
- DOMAIN-SUFFIX,icetorrent.org,PROXY
- DOMAIN-SUFFIX,jpopsuki.eu,PROXY
- DOMAIN-SUFFIX,keepfrds.com,PROXY
- DOMAIN-SUFFIX,madsrevolution.net,PROXY
- DOMAIN-SUFFIX,m-team.cc,PROXY
- DOMAIN-SUFFIX,nanyangpt.com,PROXY
- DOMAIN-SUFFIX,ncore.cc,PROXY
- DOMAIN-SUFFIX,open.cd,PROXY
- DOMAIN-SUFFIX,ourbits.club,PROXY
- DOMAIN-SUFFIX,passthepopcorn.me,PROXY
- DOMAIN-SUFFIX,privatehd.to,PROXY
- DOMAIN-SUFFIX,redacted.ch,PROXY
- DOMAIN-SUFFIX,springsunday.net,PROXY
- DOMAIN-SUFFIX,tjupt.org,PROXY
- DOMAIN-SUFFIX,totheglory.im,PROXY
# > Scholar
- DOMAIN-SUFFIX,acm.org,PROXY
- DOMAIN-SUFFIX,acs.org,PROXY
- DOMAIN-SUFFIX,aip.org,PROXY
- DOMAIN-SUFFIX,ams.org,PROXY
- DOMAIN-SUFFIX,annualreviews.org,PROXY
- DOMAIN-SUFFIX,aps.org,PROXY
- DOMAIN-SUFFIX,ascelibrary.org,PROXY
- DOMAIN-SUFFIX,asm.org,PROXY
- DOMAIN-SUFFIX,asme.org,PROXY
- DOMAIN-SUFFIX,astm.org,PROXY
- DOMAIN-SUFFIX,bmj.com,PROXY
- DOMAIN-SUFFIX,cambridge.org,PROXY
- DOMAIN-SUFFIX,cas.org,PROXY
- DOMAIN-SUFFIX,clarivate.com,PROXY
- DOMAIN-SUFFIX,ebscohost.com,PROXY
- DOMAIN-SUFFIX,emerald.com,PROXY
- DOMAIN-SUFFIX,engineeringvillage.com,PROXY
- DOMAIN-SUFFIX,icevirtuallibrary.com,PROXY
- DOMAIN-SUFFIX,ieee.org,PROXY
- DOMAIN-SUFFIX,imf.org,PROXY
- DOMAIN-SUFFIX,iop.org,PROXY
- DOMAIN-SUFFIX,jamanetwork.com,PROXY
- DOMAIN-SUFFIX,jhu.edu,PROXY
- DOMAIN-SUFFIX,jstor.org,PROXY
- DOMAIN-SUFFIX,karger.com,PROXY
- DOMAIN-SUFFIX,libguides.com,PROXY
- DOMAIN-SUFFIX,madsrevolution.net,PROXY
- DOMAIN-SUFFIX,mpg.de,PROXY
- DOMAIN-SUFFIX,myilibrary.com,PROXY
- DOMAIN-SUFFIX,nature.com,PROXY
- DOMAIN-SUFFIX,oecd-ilibrary.org,PROXY
- DOMAIN-SUFFIX,osapublishing.org,PROXY
- DOMAIN-SUFFIX,oup.com,PROXY
- DOMAIN-SUFFIX,ovid.com,PROXY
- DOMAIN-SUFFIX,oxfordartonline.com,PROXY
- DOMAIN-SUFFIX,oxfordbibliographies.com,PROXY
- DOMAIN-SUFFIX,oxfordmusiconline.com,PROXY
- DOMAIN-SUFFIX,pnas.org,PROXY
- DOMAIN-SUFFIX,proquest.com,PROXY
- DOMAIN-SUFFIX,rsc.org,PROXY
- DOMAIN-SUFFIX,sagepub.com,PROXY
- DOMAIN-SUFFIX,sciencePROXY.com,PROXY
- DOMAIN-SUFFIX,sciencemag.org,PROXY
- DOMAIN-SUFFIX,scopus.com,PROXY
- DOMAIN-SUFFIX,siam.org,PROXY
- DOMAIN-SUFFIX,spiedigitallibrary.org,PROXY
- DOMAIN-SUFFIX,springer.com,PROXY
- DOMAIN-SUFFIX,springerlink.com,PROXY
- DOMAIN-SUFFIX,tandfonline.com,PROXY
- DOMAIN-SUFFIX,un.org,PROXY
- DOMAIN-SUFFIX,uni-bielefeld.de,PROXY
- DOMAIN-SUFFIX,webofknowledge.com,PROXY
- DOMAIN-SUFFIX,westlaw.com,PROXY
- DOMAIN-SUFFIX,wiley.com,PROXY
- DOMAIN-SUFFIX,worldbank.org,PROXY
- DOMAIN-SUFFIX,worldscientific.com,PROXY
# > Plex Media Server
- DOMAIN-SUFFIX,plex.tv,PROXY
# > Other
- DOMAIN-SUFFIX,cn,PROXY
- DOMAIN-SUFFIX,360in.com,PROXY
- DOMAIN-SUFFIX,51ym.me,PROXY
- DOMAIN-SUFFIX,8686c.com,PROXY
- DOMAIN-SUFFIX,abchina.com,PROXY
- DOMAIN-SUFFIX,accuweather.com,PROXY
- DOMAIN-SUFFIX,aicoinstorge.com,PROXY
- DOMAIN-SUFFIX,air-matters.com,PROXY
- DOMAIN-SUFFIX,air-matters.io,PROXY
- DOMAIN-SUFFIX,aixifan.com,PROXY
- DOMAIN-SUFFIX,amd.com,PROXY
- DOMAIN-SUFFIX,b612.net,PROXY
- DOMAIN-SUFFIX,bdatu.com,PROXY
- DOMAIN-SUFFIX,beitaichufang.com,PROXY
- DOMAIN-SUFFIX,bjango.com,PROXY
- DOMAIN-SUFFIX,booking.com,PROXY
- DOMAIN-SUFFIX,bstatic.com,PROXY
- DOMAIN-SUFFIX,cailianpress.com,PROXY
- DOMAIN-SUFFIX,camera360.com,PROXY
- DOMAIN-SUFFIX,chinaso.com,PROXY
- DOMAIN-SUFFIX,chua.pro,PROXY
- DOMAIN-SUFFIX,chuimg.com,PROXY
- DOMAIN-SUFFIX,chunyu.mobi,PROXY
- DOMAIN-SUFFIX,chushou.tv,PROXY
- DOMAIN-SUFFIX,cmbchina.com,PROXY
- DOMAIN-SUFFIX,cmbimg.com,PROXY
- DOMAIN-SUFFIX,ctrip.com,PROXY
- DOMAIN-SUFFIX,dfcfw.com,PROXY
- DOMAIN-SUFFIX,docschina.org,PROXY
- DOMAIN-SUFFIX,douban.com,PROXY
- DOMAIN-SUFFIX,doubanio.com,PROXY
- DOMAIN-SUFFIX,douyu.com,PROXY
- DOMAIN-SUFFIX,dxycdn.com,PROXY
- DOMAIN-SUFFIX,dytt8.net,PROXY
- DOMAIN-SUFFIX,eastmoney.com,PROXY
- DOMAIN-SUFFIX,eudic.net,PROXY
- DOMAIN-SUFFIX,feng.com,PROXY
- DOMAIN-SUFFIX,fengkongcloud.com,PROXY
- DOMAIN-SUFFIX,frdic.com,PROXY
- DOMAIN-SUFFIX,futu5.com,PROXY
- DOMAIN-SUFFIX,futunn.com,PROXY
- DOMAIN-SUFFIX,gandi.net,PROXY
- DOMAIN-SUFFIX,geilicdn.com,PROXY
- DOMAIN-SUFFIX,getpricetag.com,PROXY
- DOMAIN-SUFFIX,gifshow.com,PROXY
- DOMAIN-SUFFIX,godic.net,PROXY
- DOMAIN-SUFFIX,hicloud.com,PROXY
- DOMAIN-SUFFIX,hongxiu.com,PROXY
- DOMAIN-SUFFIX,hostbuf.com,PROXY
- DOMAIN-SUFFIX,huxiucdn.com,PROXY
- DOMAIN-SUFFIX,huya.com,PROXY
- DOMAIN-SUFFIX,infinitynewtab.com,PROXY
- DOMAIN-SUFFIX,ithome.com,PROXY
- DOMAIN-SUFFIX,java.com,PROXY
- DOMAIN-SUFFIX,jidian.im,PROXY
- DOMAIN-SUFFIX,kaiyanapp.com,PROXY
- DOMAIN-SUFFIX,kaspersky-labs.com,PROXY
- DOMAIN-SUFFIX,keepcdn.com,PROXY
- DOMAIN-SUFFIX,kkmh.com,PROXY
- DOMAIN-SUFFIX,licdn.com,PROXY
- DOMAIN-SUFFIX,linkedin.com,PROXY
- DOMAIN-SUFFIX,loli.net,PROXY
- DOMAIN-SUFFIX,luojilab.com,PROXY
- DOMAIN-SUFFIX,maoyan.com,PROXY
- DOMAIN-SUFFIX,maoyun.tv,PROXY
- DOMAIN-SUFFIX,meituan.com,PROXY
- DOMAIN-SUFFIX,meituan.net,PROXY
- DOMAIN-SUFFIX,mobike.com,PROXY
- DOMAIN-SUFFIX,moke.com,PROXY
- DOMAIN-SUFFIX,mubu.com,PROXY
- DOMAIN-SUFFIX,myzaker.com,PROXY
- DOMAIN-SUFFIX,nim-lang-cn.org,PROXY
- DOMAIN-SUFFIX,nvidia.com,PROXY
- DOMAIN-SUFFIX,oracle.com,PROXY
- DOMAIN-SUFFIX,paypal.com,PROXY
- DOMAIN-SUFFIX,paypalobjects.com,PROXY
- DOMAIN-SUFFIX,qdaily.com,PROXY
- DOMAIN-SUFFIX,qidian.com,PROXY
- DOMAIN-SUFFIX,qyer.com,PROXY
- DOMAIN-SUFFIX,qyerstatic.com,PROXY
- DOMAIN-SUFFIX,raychase.net,PROXY
- DOMAIN-SUFFIX,ronghub.com,PROXY
- DOMAIN-SUFFIX,ruguoapp.com,PROXY
- DOMAIN-SUFFIX,s-reader.com,PROXY
- DOMAIN-SUFFIX,sankuai.com,PROXY
- DOMAIN-SUFFIX,scomper.me,PROXY
- DOMAIN-SUFFIX,seafile.com,PROXY
- DOMAIN-SUFFIX,sm.ms,PROXY
- DOMAIN-SUFFIX,smzdm.com,PROXY
- DOMAIN-SUFFIX,snapdrop.net,PROXY
- DOMAIN-SUFFIX,snwx.com,PROXY
- DOMAIN-SUFFIX,sspai.com,PROXY
- DOMAIN-SUFFIX,takungpao.com,PROXY
- DOMAIN-SUFFIX,teamviewer.com,PROXY
- DOMAIN-SUFFIX,tianyancha.com,PROXY
- DOMAIN-SUFFIX,udacity.com,PROXY
- DOMAIN-SUFFIX,uning.com,PROXY
- DOMAIN-SUFFIX,vmware.com,PROXY
- DOMAIN-SUFFIX,weather.com,PROXY
- DOMAIN-SUFFIX,weico.cc,PROXY
- DOMAIN-SUFFIX,weidian.com,PROXY
- DOMAIN-SUFFIX,xiachufang.com,PROXY
- DOMAIN-SUFFIX,ximalaya.com,PROXY
- DOMAIN-SUFFIX,xinhuanet.com,PROXY
- DOMAIN-SUFFIX,xmcdn.com,PROXY
- DOMAIN-SUFFIX,yangkeduo.com,PROXY
- DOMAIN-SUFFIX,zhangzishi.cc,PROXY
- DOMAIN-SUFFIX,zhihu.com,PROXY
- DOMAIN-SUFFIX,zhimg.com,PROXY
- DOMAIN-SUFFIX,zhuihd.com,PROXY
- DOMAIN-SUFFIX,ip138.com,PROXY
- DOMAIN,download.jetbrains.com,PROXY
- DOMAIN,images-cn.ssl-images-amazon.com,PROXY
- DOMAIN,cdn.angruo.com,PROXY

# > Apple
- DOMAIN-SUFFIX,aaplimg.com,Apple
- DOMAIN-SUFFIX,apple.co,Apple
- DOMAIN-SUFFIX,apple.com,Apple
- DOMAIN-SUFFIX,apple.com.cn,Apple
- DOMAIN-SUFFIX,apple-cloudkit.com,Apple
- DOMAIN-SUFFIX,appstore.com,Apple
- DOMAIN-SUFFIX,cdn-apple.com,Apple
- DOMAIN-SUFFIX,crashlytics.com,Apple
- DOMAIN-SUFFIX,icloud.com,Apple
- DOMAIN-SUFFIX,icloud.com.cn,Apple
- DOMAIN-SUFFIX,icloud-content.com,Apple
- DOMAIN-SUFFIX,me.com,Apple
- DOMAIN-SUFFIX,mzstatic.com,Apple
- DOMAIN,www-cdn.icloud.com.akadns.net,Apple
- IP-CIDR,17.0.0.0/8,Apple,no-resolve

# Local Area Network
- IP-CIDR,192.168.0.0/16,DIRECT
- IP-CIDR,10.0.0.0/8,DIRECT
- IP-CIDR,172.16.0.0/12,DIRECT
- IP-CIDR,127.0.0.0/8,DIRECT
- IP-CIDR,100.64.0.0/10,DIRECT

# DNSPod Public DNS+
- IP-CIDR,119.28.28.28/32,DIRECT,no-resolve
# GeoIP China
- GEOIP,CN,DIRECT

- MATCH,Final
